none
Support for Exchange 2010 on Server 2012?

    Question

  • I tried to install exchange but could not meet the pre-requisites on Server 2012.

    Just wondering if anyone has had better luck?

    Also what is the support going to be like once this product ships?


    Mansoor Nathani http://linuxbrain.net

    Sunday, June 17, 2012 8:37 PM

Answers

  • Hi,

    Digging up it only for information. I had a similar problem but found a solution.
    The problem is that the WS12 in default use .NET 4.5 and Exchange 2010 need .NET 3.5. Second problem is that you cant install .NET 3.5 on .NET 4.5.

    Short scheme what you need to do to fix this:
    - Remove .NET 4.5 (it remove GUI and PS3)
    - Via dism install .NET 3
    - Install .NET 4 and GUI

    And next when you see you have both .NET 3.5 and 4.5, you can normally install exchange 2010.


    • Edited by MichalGajdaMVP Wednesday, June 27, 2012 2:57 PM
    • Marked as answer by Terence Yu Thursday, June 28, 2012 12:49 AM
    Wednesday, June 27, 2012 2:56 PM
  • Hi
        There is not exchange 2010 document about windows 2012 (internal and external) now.
        But it is just windows 2012 beta version.
        You can read exchange team blog every week.  
        Product engineer will update this kind of knowledge in future.
        http://blogs.technet.com/b/exchange/
        TechNet Subscriber Support in forum
      If you have any feedback on our support, please contact tngfb@microsoft.com


    Terence Yu

    TechNet Community Support

    • Proposed as answer by Sukh828 Monday, June 18, 2012 11:45 AM
    • Marked as answer by Terence Yu Monday, June 25, 2012 2:30 AM
    Monday, June 18, 2012 2:13 AM

All replies

  • Hi
        There is not exchange 2010 document about windows 2012 (internal and external) now.
        But it is just windows 2012 beta version.
        You can read exchange team blog every week.  
        Product engineer will update this kind of knowledge in future.
        http://blogs.technet.com/b/exchange/
        TechNet Subscriber Support in forum
      If you have any feedback on our support, please contact tngfb@microsoft.com


    Terence Yu

    TechNet Community Support

    • Proposed as answer by Sukh828 Monday, June 18, 2012 11:45 AM
    • Marked as answer by Terence Yu Monday, June 25, 2012 2:30 AM
    Monday, June 18, 2012 2:13 AM
  • Hi,

    Digging up it only for information. I had a similar problem but found a solution.
    The problem is that the WS12 in default use .NET 4.5 and Exchange 2010 need .NET 3.5. Second problem is that you cant install .NET 3.5 on .NET 4.5.

    Short scheme what you need to do to fix this:
    - Remove .NET 4.5 (it remove GUI and PS3)
    - Via dism install .NET 3
    - Install .NET 4 and GUI

    And next when you see you have both .NET 3.5 and 4.5, you can normally install exchange 2010.


    • Edited by MichalGajdaMVP Wednesday, June 27, 2012 2:57 PM
    • Marked as answer by Terence Yu Thursday, June 28, 2012 12:49 AM
    Wednesday, June 27, 2012 2:56 PM
  • Hi,

     I am attempting to Install Exchange 2010 and get this error:

    Error:
    The following error was generated when “$error.ClearQ; if($RolelnstallWindowsComponents) { # Install any Windows Roles or
    Features required for the Management Tools role Install-WindowsComponent -ShortNameForRole “AdminTools” -ADToolsNeeded $RoleADToolsNeeded }
    was run: “The system cannot find the file specified.

    I Installed .net 3.5 just fine without uninstalling anything. This seems to be the hitch. Any help would be appreciated.


    Wednesday, August 22, 2012 10:28 PM
  • Hi,

     I am attempting to Install Exchange 2010 and get this error:

    Error:
    The following error was generated when “$error.ClearQ; if($RolelnstallWindowsComponents) { # Install any Windows Roles or
    Features required for the Management Tools role Install-WindowsComponent -ShortNameForRole “AdminTools” -ADToolsNeeded $RoleADToolsNeeded }
    was run: “The system cannot find the file specified.

    I Installed .net 3.5 just fine without uninstalling anything. This seems to be the hitch. Any help would be appreciated.



    Install RSAT-ADDS and try again. (Remote Server Administration Tools under Features)
    Thursday, September 06, 2012 4:17 AM
  • Microsoft has told me that Exchange (any version) is not supported and will not run on Windows 2012

    Mark Nastasiuk

    Friday, October 05, 2012 3:19 PM
  • Further Reading:

    http://blogs.technet.com/b/exchange/archive/2012/09/25/announcing-exchange-2010-service-pack-3.aspx

    Regards,

    Raghav

    • Proposed as answer by Dmitriy Ilyin Thursday, March 28, 2013 6:30 AM
    Wednesday, October 10, 2012 3:32 PM
  • Hello,

    I did an upgrade from 2008 R2 with exchange 2010 sp2. latest pathches and SP's to server 2012. Upgrade did NOT warned me for exchange 2010 and all works fine EXCEPT for the EMC. The EMC crashes when you refresh the health data.. Exchange 2010 CAN be managed using powershell. However,  I had lost the exchange powershell shortcut so I had to recreate that. Found a Post and mr Smith wrote a nice batchfile. Use this to start the EMC 

    set __COMPAT_LAYER=RUNASINVOKER
    set COMPLUS_Version=v2.0.50727
    "c:\program files\microsoft\exchange server\v14\bin\exchange management console.msc"

    this work like a charm on my systems. now waiting for SP3

    Panicz

    Sunday, November 18, 2012 7:17 PM